#*******************************************************************
#* MAKE.INC
#* (c) 1992-1994 STAR DIVISION GmbH
#*******************************************************************

# *** Defines ******************************************************
MISC=misc
PRZ=I386
SYS=WNT
COM=MSC
LANG=GERMAN

# *** Compiler *****************************************************
CC=cl386
CDEFS=-D$(SYS) -D$(COM)
CFLAGS=-c -G3 -Zp4 -W3 -Gs -Gz -D_X86_=1 -DWIN32 $(CDEFS) -Fo$@

# *** Linker *******************************************************
LINK=link32
LINKFLAGS=-subsystem:WINDOWS -entry:WinMainCRTStartup
STDOBJS=
STDLIBS=libc.lib kernel32.lib user32.lib

# *** Resource-Compiler ********************************************
RSC=rsc
RSCFLAGS=-s -D$(SYS) -D$(COM) -fp$@
RSCLINK=-l -lg$(LANG)

# *** System-Resource-Compiler *************************************
RC=rc
RCFLAGS=
RCSETVERSION=

# *** Help-Compiler ************************************************
HC=hc
HCFLAGS=

# *** Rules ********************************************************
.SUFFIXES: .cxx .hxx .c .asm .obj .lib .src .srs .rc .res .dll .exe

{.}.cxx{$(MISC)}.obj:
    @echo ---------------
    @echo Making: $@
    $(CC) $(CFLAGS) -Tp$(@B).cxx

{.}.src{$(MISC)}.srs:
    @echo ---------------
    @echo Making: $@
    $(RSC) $(RSCFLAGS) $(@B).src
